﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default7.aspx.cs" Inherits="Default7" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
      <asp:ScriptManager ID="ScriptManager1" runat="server">
      </asp:ScriptManager>
   
      <telerik:RadScheduler ID="RadScheduler1"
       runat="server" 
       DataEndField="End" 
        DataKeyField="ID" DataRecurrenceField="RecurrenceRule" 
        DataRecurrenceParentKeyField="RecurrenceParentID" 
        DataSourceID="AccessDataSource1" DataStartField="Start" 
        DataSubjectField="Subject" HoursPanelTimeFormat="htt" 
        ValidationGroup="RadScheduler1" 
          onnavigationcommand="RadScheduler1_NavigationCommand" 
          onnavigationcomplete="RadScheduler1_NavigationComplete" 
          onresourceheadercreated="RadScheduler1_ResourceHeaderCreated"
          GroupBy="Room"
          SelectedView="TimelineView"
          >
          <ResourceHeaderTemplate>resource header template</ResourceHeaderTemplate>
          <ResourceTypes>
              <telerik:ResourceType DataSourceID="AccessDataSource2" KeyField="ID" ForeignKeyField="RoomID"
                  Name="Room" TextField="RoomName" />
          </ResourceTypes>
        </telerik:RadScheduler>
    
      <asp:AccessDataSource ID="AccessDataSource2" runat="server" 
          DataFile="~/App_Data/scheduler1.mdb" SelectCommand="SELECT * FROM [Rooms]">
      </asp:AccessDataSource>
    
     <asp:AccessDataSource ID="AccessDataSource1" runat="server" 
        DataFile="~/App_Data/scheduler1.mdb" 
        DeleteCommand="DELETE FROM [Appointments] WHERE [ID] = ?" 
        InsertCommand="INSERT INTO [Appointments] ([Subject], [Start], [End], [RecurrenceRule], [RecurrenceParentID], [RoomID], [ExpectedCompletionDate], [GroupID], [Description]) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)" 
        SelectCommand="SELECT * FROM [Appointments]" 
        UpdateCommand="UPDATE [Appointments] SET [Subject] = ?, [Start] = ?, [End] = ?, [RecurrenceRule] = ?, [RecurrenceParentID] = ?, [RoomID] = ?, [ExpectedCompletionDate] = ?, [GroupID] = ?, [Description] = ? WHERE [ID] = ?">
        <DeleteParameters>
            <asp:Parameter Name="ID" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="Subject" Type="String" />
            <asp:Parameter Name="Start" Type="DateTime" />
            <asp:Parameter Name="End" Type="DateTime" />
            <asp:Parameter Name="RecurrenceRule" Type="String" />
            <asp:Parameter Name="RecurrenceParentID" Type="Int32" />
            <asp:Parameter Name="RoomID" Type="Int32" />
            <asp:Parameter Name="ExpectedCompletionDate" Type="DateTime" />
            <asp:Parameter Name="GroupID" Type="Int32" />
            <asp:Parameter Name="Description" Type="String" />
            <asp:Parameter Name="ID" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
          
            <asp:Parameter Name="Subject" Type="String" />
            <asp:Parameter Name="Start" Type="DateTime" />
            <asp:Parameter Name="End" Type="DateTime" />
            <asp:Parameter Name="RecurrenceRule" Type="String" />
            <asp:Parameter Name="RecurrenceParentID" Type="Int32" />
            <asp:Parameter Name="RoomID" Type="Int32" />
            <asp:Parameter Name="ExpectedCompletionDate" Type="DateTime" />
            <asp:Parameter Name="GroupID" Type="Int32" />
            <asp:Parameter Name="Description" Type="String" />
        </InsertParameters>
    </asp:AccessDataSource>
    </form>
</body>
</html>
